<?php
/**
 * @version		$Id: mega.tpl.cfg.php 1.0 Dec 28, 2010 19:02:38Z OmegaTheme $
 * @package		OmegaTheme Joomla Template
 * @subpackage	MegaRealist
 * @author		OmegaTheme (services@omegatheme.com)
 * @link 		http://www.omegatheme.com
 * @copyright	Copyright (C) 2008 - 2010 OmegaTheme
 * @license		GNU/GPL V2
 * @description	This file contains general template configuration as first stage of template rendering.
*/

// no direct access
defined('_JEXEC') or die('Restricted access');

// include classes
require_once(JPATH_ROOT."/templates/{$this->template}/libs/mega.tpl.functions.php");
require_once(JPATH_ROOT."/templates/{$this->template}/libs/MegaModulesRenderer/MegaModulesRenderer.php");

// init vars
$template =& megaTemplate::getInstance();
//var_dump($template);
$template->setDocument($this);

// set title and params
$this->setTitle($mainframe->getCfg('sitename').' - '.$this->getTitle());
$this->params->bind($template->params->toArray());

// set template css
$this->addStyleDeclaration($template->getCSS());
$this->addStyleSheet($template->url.'/css/template.css');

$color = ($this->params->get('template_color_chooser') == '1' && isset($_COOKIE['template_color']) && $_COOKIE['template_color'] != null) ? $_COOKIE['template_color'] : $this->params->get('template_color','lightwheat');
$this->addStyleSheet($template->url.'/css/color_'.$color.'.css');

// load others js
if ($this->params->get('load_javascript_util'))
{
	$this->addScript($template->url.'/js/template_utilities.js');
	if ($template->isIe(6)) {
		$this->addScript($template->url.'/js/dropdownie6.min.js');
	}
	else {
		$this->addScript($template->url.'/js/dropdown.min.js');
	}
}

// ie8 fix
if ($template->isIe(8))
{
	$css = '<link rel="stylesheet" href="%s" type="text/css" />';
	$ie8[] = sprintf($css, $template->url.'/css/ie8.css');
	$this->addCustomTag('<!--[if IE 8]>'.implode("\n", $ie8).'<![endif]-->');
}
// ie7 fix
if ($template->isIe(7))
{
	$css = '<link rel="stylesheet" href="%s" type="text/css" />';
	$ie7[] = sprintf($css, $template->url.'/css/ie7.css');
	$this->addCustomTag('<!--[if IE 7]>'.implode("\n", $ie7).'<![endif]-->');
}

// ie6 fix
if ($template->isIe(6))
{
	$css = '<link rel="stylesheet" href="%s" type="text/css" />';
	$ie6[] = sprintf($css, $template->url.'/css/ie6.css');
	$pngf = '<style type="text/css">%s{behavior: url('.$template->url.'/css/iepngfix.htc);}</style>';
	$ie6[] = sprintf($pngf, $listpngfix);
	$js = '<script type="text/javascript" src="%s"></script>';
	$ie6[] = sprintf($js, $template->url.'/js/iepngfix_tilebg.js');
	$this->addCustomTag('<!--[if IE 6]>'.implode("\n", $ie6).'<![endif]-->');
}

// set additional css class (column-left, column-right) to params, for latter using
$columns = null;
// at this template the main column is at the right side, so check JEditor according to left
if ($this->countModules('left') && !class_exists('JEditor')) $columns .= 'column-left';
if ($this->countModules('right')) $columns .= ' column-right';
$this->params->set('columns', $columns);
$this->params->set('template_color', $color);
/* end of template config */